#INCLUDE outlook.h

oOutLookObject = CreateObject("Outlook.Application")
olNameSpace = oOutlookObject.GetNameSpace("MAPI")
oContacts = olNameSpace.GetDefaultFolder(olFolderContacts).Items

*/ Open the customer table

Use "c:\program files\devstudio\vfp\samples\tastrade\data\customer"

Scan
   */ First, see if the contact exists
   oContactItem = oContacts.Find("[CustomerId]='"+customer_id+"'")
   If IsNull(oContactItem)
      */ The contact did not exist, so we will create a new contact object   
      oContactItem = oOutLookObject.CreateItem(olContactItem)
   Endif
   */ Now, data in VFP will update the existing contact object, or populate the properties
   */ for the first time of a new contact object   
   With oContactItem
     .CustomerID = customer_id 
     .FirstName = Substr(contact_name,1,At(" ",contact_name))
     .LastName  = Substr(contact_name,At(" ",contact_name)+1)
     .JobTitle      = contact_title
     .CompanyName   = company_name
     .BusinessAddressStreet    = address
     .BusinessAddressCity      = City
     .BusinessAddressState     = region
     .BusinessAddressPostalCode = postal_code
     .BusinessAddressCountry    = country
     .BusinessTelephoneNumber   = Phone
     .BusinessFaxNumber         = fax
     .User1 = max_order_amt
     .User2 = min_order_amt
     .Save
   EndWith
EndScan
